Package org.apache.catalina.mbeans

## Class MBeanDumper

- java.lang.Object
- - org.apache.catalina.mbeans.MBeanDumper

    public class MBeanDumper
    extends Object

General helper to dump MBean contents to the log.

### Field Summary

Fields
`protected static StringManager` `sm`

### Constructor Summary

Constructors
`MBeanDumper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `dumpBeans​(MBeanServer mbeanServer, Set<ObjectName> names)` The following code to dump MBeans has been copied from JMXProxyServlet.
`static String` `escape​(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sm

    protected static final StringManager sm

### Constructor Detail

#### MBeanDumper

    public MBeanDumper()

### Method Detail

#### dumpBeans

    public static String dumpBeans​(MBeanServer mbeanServer,
                                   Set<ObjectName> names)

The following code to dump MBeans has been copied from JMXProxyServlet.

Parameters:
  `mbeanServer` - the MBean server
  `names` - a set of object names for which to dump the info
Returns:
  a string representation of the MBeans

#### escape

    public static String escape​(String value)